package com.ruoyi.demo.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.pagehelper.PageInfo;
import com.ruoyi.demo.entity.WdInfo;
import com.ruoyi.demo.entity.bo.WdCount;
import com.ruoyi.demo.entity.vo.ChannelMapAceeptVo;

import java.util.HashMap;

public interface ChannelMapService {
    public WdCount area(ChannelMapAceeptVo channel);
    public HashMap list(ChannelMapAceeptVo channel);

    public Page<WdInfo> point(ChannelMapAceeptVo channel);

    WdInfo getWdInfo(String wdId);

    WdCount areaProvince(ChannelMapAceeptVo channel);

    WdCount areaCity(ChannelMapAceeptVo channelMapAceeptVo);

    WdCount areaZone(ChannelMapAceeptVo channelMapAceeptVo);
}
